# POST /seedance/v3/contents/generations/tasks

**Method**: `POST`
**Endpoint**: `/seedance/v3/contents/generations/tasks`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
model
string
Required
content
array
[object]
Required
type
string
Required
text
string
Optional
image_url
object
Optional
Example
{
"model"
:
"doubao-seedance-1-0-pro-250528"
,
"content"
:
[
{
"type"
:
"text"
,
"text"
:
  // provider-specific example normalized for English documentation
}
,
{
"type"
:
"image_url"
,
"image_url"
:
{
"url"
:
"https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_i2v.png"
}
}
]
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/seedance/v3/contents/generations/tasks' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedance-1-0-pro-250528",
    "content": [
        {
            "type": "text",
  // provider-specific example normalized for English documentation
        },
        {
            "type": "image_url",
            "image_url": {
                "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seepro_i2v.png"
            }
        }
    ]
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
id
string
Required
```

#### Example

```json
{
    "id": "cgt-20250629201507-n6k56"
}
```
